You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@kylin.apache.org by li...@apache.org on 2015/03/14 01:02:24 UTC

[12/47] incubator-kylin git commit: fix script

fix script


Project: http://git-wip-us.apache.org/repos/asf/incubator-kylin/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-kylin/commit/c9147ca4
Tree: http://git-wip-us.apache.org/repos/asf/incubator-kylin/tree/c9147ca4
Diff: http://git-wip-us.apache.org/repos/asf/incubator-kylin/diff/c9147ca4

Branch: refs/heads/master
Commit: c9147ca40b6ad66e9e7558e887445df36f579cbd
Parents: 4a59d38
Author: qianhao.zhou <qi...@ebay.com>
Authored: Fri Mar 6 14:22:36 2015 +0800
Committer: qianhao.zhou <qi...@ebay.com>
Committed: Fri Mar 6 14:22:36 2015 +0800

----------------------------------------------------------------------
 bin/kylin.sh | 3 +++
 1 file changed, 3 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-kylin/blob/c9147ca4/bin/kylin.sh
----------------------------------------------------------------------
diff --git a/bin/kylin.sh b/bin/kylin.sh
index 4efaf9e..7981bb8 100644
--- a/bin/kylin.sh
+++ b/bin/kylin.sh
@@ -54,6 +54,7 @@ then
         echo "Please visit http://<ip>:7070/kylin"
     fi
     echo "You can check the log at ${tomcat_root}/logs/kylin.log"
+    exit 0
 elif [ $1 == "stop" ]
 then
     if [ ! -f "${KYLIN_HOME}/pid" ]
@@ -71,6 +72,8 @@ then
         kill $pid
     fi
     rm ${KYLIN_HOME}/pid
+    exit 0
 else
     echo "usage: kylin.sh start or kylin.sh stop"
+    exit 1
 fi
\ No newline at end of file